wreport::tests::FilteringTestController Struct Reference

Test controller that filters tests via a blocklist/allowlist system containing glob patterns on testcase.testmethod names. More...

`#include <testrunner.h>`

Inheritance diagram for wreport::tests::FilteringTestController:

## Public Member Functions

bool | test_method_should_run (const std::string &fullname) const
Public Member Functions inherited from wreport::tests::TestController
virtual bool | test_case_begin (const TestCase &test_case, const TestCaseResult &test_case_result)
| Called before running a test case.
virtual void | test_case_end (const TestCase &test_case, const TestCaseResult &test_case_result)
| Called after running a test case.
virtual bool | test_method_begin (const TestMethod &test_method, const TestMethodResult &test_method_result)
| Called before running a test method.
virtual void | test_method_end (const TestMethod &test_method, const TestMethodResult &test_method_result)
| Called after running a test method.

## Data Fields

std::string | allowlist
| Any method not matching this glob expression will not be run.
std::string | blocklist
| Any method matching this glob expression will not be run.

## Detailed Description

Test controller that filters tests via a blocklist/allowlist system containing glob patterns on testcase.testmethod names.

The documentation for this struct was generated from the following file:

- testrunner.h